# Journal and Conference Social Network Analysis

## Tuesday Jan. 22

### Agenda

- Discuss [Weekly Progress](#progress)
- Receive instruction on uploading files to Canvas
- Discuss next steps

### Progress

- Collected Data from [ISECON and EDSIG](notebooks/ISECON.ipynb)

  - Still working on 2000 - 2009 Data, will be done by next week
  - Pre 2000 data will be more difficult as many entries are scanned text. [eg. 1998](http://proc.edsig.org/historyPDF/1998.v15.pdf)

- Constructed a [UI Mockup](images/MQP.png) of potential first iteration product

## Tuesday Jan. 29

### Agenda

- Discuss [Weekly Progress](#progress)

### <a name="progress"></a>Progress

- Finished ISECON 2000 - 2018 data
- Outlining proposal

### For Next Week

- Serialize data to database
- Functional basic website like [UI Mockup](images/MQP.png)

## Tuesday Feb. 5

### Agenda

- Go over software development environment part of paper (on canvas)
- Discuss weekly progress
- Demo at https://teddymqp.herokuapp.com

### Progress

- Put all data into database. Relation chart [here](images/relations_v1.png)
- Developed web API to get paper data in front end
- Started developing front end to display and filter data
- Ported network visualization from Python to Javascript using [D3](https://d3js.org/) to display
  - issue with datavis freezing page while rendering, decided to use WebWorkers to render in background
- Deployed working demo to [heroku](https://teddymqp.herokuapp.com/)

## Tuesday Feb. 12

### Agenda

- Discuss weekly progress
- Demo at https://teddymqp.herokuapp.com

### Progress

- Implemented zoom to author feature
- Implemented coloring by:
  - Betweenness centrality
  - Degree centrality
  - Eigenvector centrality
- Implemented minimum number of papers filter
